<?php
/**
 * ChatDirectionEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\InternalMessenger
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi. Internal messenger. Внутренние чаты
 *
 * Управление внутренними чатами
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\InternalMessenger\Dto;
use \Ensi\InternalMessenger\ObjectSerializer;

/**
 * ChatDirectionEnum Class Doc Comment
 *
 * @category Class
 * @description Направление чата. Расшифровка значений:   * &#x60;1&#x60; - От админа к пользователю   * &#x60;2&#x60; - От пользователя к админу
 * @package  Ensi\InternalMessenger
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ChatDirectionEnum
{
    /**
     * Possible values of this enum
     */
    const FROM_ADMIN_TO_USER = 1;
    const FROM_USER_TO_ADMIN = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::FROM_ADMIN_TO_USER,
            self::FROM_USER_TO_ADMIN,
        ];
    }
}


